Disable MFA in bulk

Disables multi-factor authentication (MFA) for the specified accounts.

HTTP Request

POST /api/sonar/users/mfa/disable
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -d '{"guids":"a1b2c3d4-e5f6-7890-abcd-ef1234567890,b2c3d4e5-f6a7-8901-bcde-f12345678901"}' \
     -X POST https://HOSTNAME/api/sonar/users/mfa/disable
Request Parameters
KeyRequiredTypeDescriptionNotes
guidsYesStringList of user identifiersComma-separated list of account identifiers

Success Response

{
  "failures": []
}

Error Responses

Required parameter is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guids should be not null"
}
Identifier is not in valid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guids should be guid type."
}
Account is not found

HTTP status code 200

{
  "failures": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "reason": "user-not-found"
    }
  ]
}